{
  "annotations": {
    "changelogDate": "20251210161124"
  },
  "applications": ["*"],
  "dto": "mapstruct",
  "fields": [
    {
      "fieldName": "oraInizio",
      "fieldType": "Instant"
    },
    {
      "fieldName": "oraFine",
      "fieldType": "Instant"
    },
    {
      "fieldName": "stato",
      "fieldType": "StatoPrenotazione",
      "fieldValues": "RICHIESTA,CONFERMATA,RIFIUTATA,ANNULLATA"
    },
    {
      "fieldName": "motivoEvento",
      "fieldType": "String"
    },
    {
      "fieldName": "numeroPartecipanti",
      "fieldType": "Integer"
    },
    {
      "fieldName": "noteUtente",
      "fieldType": "String"
    }
  ],
  "jpaMetamodelFiltering": true,
  "name": "Prenotazione",
  "pagination": "pagination",
  "relationships": [
    {
      "otherEntityName": "conferma",
      "otherEntityRelationshipName": "prenotazione",
      "relationshipName": "conferma",
      "relationshipSide": "left",
      "relationshipType": "one-to-one"
    },
    {
      "otherEntityField": "username",
      "otherEntityName": "utenteApp",
      "relationshipName": "utente",
      "relationshipSide": "left",
      "relationshipType": "many-to-one"
    },
    {
      "otherEntityField": "nome",
      "otherEntityName": "struttura",
      "relationshipName": "struttura",
      "relationshipSide": "left",
      "relationshipType": "many-to-one"
    }
  ],
  "searchEngine": "no",
  "service": "serviceImpl"
}
